/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function demoItems(
  params,
  options,
) {
  return request('/admin/demo/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function demoCreate(
  body,
  options,
) {
  return request('/admin/demo/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function demoUpdate(
  body,
  options,
) {
  return request('/admin/demo/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function demoItem(
  params,
  options,
) {
  return request('/admin/demo/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

export async function demoDelete(
  params,
  options,
) {
  return request('/admin/demo/delete', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}